local DEFINE_DIALOG = smlua_text_utils_dialog_replace
DEFINE_DIALOG(DIALOG_000, 1, 8, 30, 200, ("THERE ARE 7 STARS!\
1. AT THE BACK OF WARP\
2. KICK TO THE CAP -VC-\
3. GET TO THE BOX -MC-\
4. HIDDEN IN THE TOWER\
5. EDGE OF THE SLOPE\
6. HOP TO FLOATING REDS\
7. SECRETS AT THE END"))

DEFINE_DIALOG(DIALOG_001, 1, 3, 95, 200, ("Goodness, so busy!\
Don't talk to me,\
I need to cook more!"))

DEFINE_DIALOG(DIALOG_002, 1, 4, 95, 200, ("The drainage has been\
really poor, I wonder if\
something's stuck in\
the drain?\
Oh! Mario!\
You're also a plumber,\
right?\
Could you go fix it?\
The drain is connected\
with the ditch behind\
the castle wall.\
\
But be careful if you're\
going, the drain is tight\
so don't get stuck!"))

DEFINE_DIALOG(DIALOG_003, 1, 4, 95, 200, ("There must be a secret\
in that fortress. A while\
ago, the king went into\
it while mumbling\
『Warehouse...\
sleeping quarters...\
library...\
dining hall...』.\
Right after I remembered\
something I needed to\
tell him so I followed\
after, to the roof,\
but he was nowhere.\
I'm sure he didn't have\
enough time to leave\
in such a short time,\
\
so he must have\
dissapered to somewhere.\
See? Really strange, yeah?"))

DEFINE_DIALOG(DIALOG_004, 1, 2, 95, 200, ("Hi! I'll prepare the\
cannon for you!"))

DEFINE_DIALOG(DIALOG_005, 1, 3, 30, 200, ("Hey, Mario!\
How about a race to the\
mountaintop?\
Whaddya say? When I say\
『Go,』 let the race begin!\
\
Ready....\
\
//Go!////Don't Go"))

DEFINE_DIALOG(DIALOG_006, 1, 3, 30, 200, ("Hey!!! Don't try to scam\
ME. You've gotta run\
the whole course.\
Later. Look me up when\
you want to race for\
real."))

DEFINE_DIALOG(DIALOG_007, 1, 5, 30, 200, ("Hufff...fff...pufff...\
Whoa! You...really...are...\
fast! A human blur!\
Here you go--you've won\
it, fair and square!"))

DEFINE_DIALOG(DIALOG_008, 1, 4, 30, 200, ("Off-limits past this point.\
Anyone found beyond\
will be ported back\
by force."))

DEFINE_DIALOG(DIALOG_009, 1, 5, 30, 200, ("Long time, no see! Wow,\
have you gotten fast!\
Have you been training\
on the sly, or is it the\
power of the Stars?\
I've been feeling down\
about losing the last\
race. This is my home\
course--how about a\
rematch?\
The goal is in\
Windswept Valley.\
Ready?\
\
//Go//// Don't Go"))

DEFINE_DIALOG(DIALOG_010, 1, 4, 30, 200, ("You've stepped on the\
Wing Cap Switch. Wearing\
the Wing Cap, you can\
soar through the sky.\
Now Wing Caps will pop\
out of all the red blocks\
you find.\
\
Would you like to Save?\
\
//Yes////No"))

DEFINE_DIALOG(DIALOG_011, 1, 4, 30, 200, ("You've just stepped on\
the Metal Cap Switch!\
The Metal Cap makes\
Mario invincible.\
Now Metal Caps will\
pop out of all of the\
green blocks you find.\
\
Would you like to Save?\
\
//Yes////No"))

DEFINE_DIALOG(DIALOG_012, 1, 4, 30, 200, ("You've just stepped on\
the Vanish Cap Switch.\
The Vanish Cap makes\
Mario disappear.\
Now Vanish Caps will pop\
from all of the blue\
blocks you find.\
\
Would you like to Save?\
\
//Yes////No"))

DEFINE_DIALOG(DIALOG_013, 1, 5, 30, 200, ("You've collected 100\
coins! Mario gains more\
power from the castle.\
Do you want to Save?\
//Yes////No"))

DEFINE_DIALOG(DIALOG_014, 1, 4, 30, 200, ("Wow! Another Power Star!\
Mario gains more courage\
from the power of the\
castle.\
Do you want to Save?\
\
//You Bet//Not Now"))

DEFINE_DIALOG(DIALOG_015, 1, 4, 95, 200, ("Here you can practice\
the cannon use. Improve\
your aim skill to hit the\
things floating in the sky.\
The Pink Bob-ombs are\
caring fot the cannons\
so be assured."))

DEFINE_DIALOG(DIALOG_016, 1, 5, 30, 200, ("Here you can practice\
the cannon use. Improve\
your aim skill to hit the\
things floating in the sky.\
\
Huh? You want to be the\
ammo?\
I'm not responsible for\
any of your possible\
damages."))

DEFINE_DIALOG(DIALOG_017, 1, 5, 30, 200, ("Ah, you're here...you see,\
we were living at this\
fortress in peace.\
\
\
Some were hot-blooded\
and quick to fight, but\
generally there were no\
major troubles.\
\
However, that peace\
crumbled when you came.\
You stole our property\
and attacked the\
residents.\
I will not allow any\
more of your atrocities.\
I will defeat you here\
and now to regain\
our peace.\
Be prepared, Mario!"))

DEFINE_DIALOG(DIALOG_018, 1, 4, 30, 200, ("         DANGER!\
Don't swim in the sea!"))

DEFINE_DIALOG(DIALOG_019, 1, 2, 30, 200, ("Shhh! Please walk\
quietly in the hallway!"))

DEFINE_DIALOG(DIALOG_020, 1, 6, 95, 150, ("Dear Mario:\
Please come to the\
castle. I've baked\
a cake for you.\
Yours truly--\
Princess Toadstool"))

DEFINE_DIALOG(DIALOG_021, 1, 5, 95, 200, ("Welcome.\
No one's home!\
Now scram--\
and don't come back!\
Gwa ha ha!"))

DEFINE_DIALOG(DIALOG_022, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_023, 1, 3, 95, 200, ("This key doesn't fit!\
Maybe it's for the\
basement..."))

DEFINE_DIALOG(DIALOG_024, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_025, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_026, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_027, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_028, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_029, 1, 2, 95, 200, ("To open this door, you\
need [%] more Stars."))

DEFINE_DIALOG(DIALOG_030, 1, 6, 30, 200, ("Hello! The Lakitu Bros.,\
cutting in with a live\
update on Mario's\
progress. He's about to\
learn a technique for\
sneaking up on enemies.\
The trick is this: He has\
to walk very slowly in\
order to walk quietly.\
\
\
\
And wrapping up filming\
techniques reported on\
earlier, you can take a\
look around using [C]> and\
[C]<. Press [C]| to view the\
action from a distance.\
When you can't move the\
camera any farther, the\
buzzer will sound. This is\
the Lakitu Bros.,\
signing off."))

DEFINE_DIALOG(DIALOG_031, 1, 5, 30, 200, ("No way! You beat me...\
again!! And I just spent\
my entire savings on\
these new Koopa\
Mach 1 Sprint shoes!\
Here, I guess I have to\
hand over this Star to\
the winner of the race.\
Congrats, Mario!"))

DEFINE_DIALOG(DIALOG_032, 1, 3, 95, 200, ("Hmmm, so cluttered.\
I really need to clean\
the warehouse soon."))

DEFINE_DIALOG(DIALOG_033, 1, 6, 30, 200, ("Ciao! You've reached\
Princess Toadstool's\
castle via a warp pipe.\
Using the controller is a\
piece of cake. Press [A] to\
jump and [B] to attack.\
Press [B] to read signs,\
too. Use the Control Stick\
in the center of the\
controller to move Mario\
around. Now, head for\
the castle."))

DEFINE_DIALOG(DIALOG_034, 1, 6, 30, 200, ("Good afternoon. The\
Lakitu Bros., here,\
reporting live from just\
outside the Princess's\
castle.\
\
Mario has just arrived\
on the scene, and we'll\
be filming the action live\
as he enters the castle\
and pursues the missing\
Power Stars.\
As seasoned cameramen,\
we'll be shooting from the\
recommended angle, but\
you can change the\
camera angle by pressing\
the [C] Buttons.\
If we can't adjust the\
view any further, we'll\
buzz. To take a look at\
the surroundings, stop\
and press [C]^.\
\
Press [A] to resume play.\
Switch camera modes with\
the [R] Button. Signs along\
the way will review these\
instructions.\
\
For now, reporting live,\
this has been the\
Lakitu Bros."))

DEFINE_DIALOG(DIALOG_035, 1, 1, 95, 200, ("grooowwwlll..."))

DEFINE_DIALOG(DIALOG_036, 1, 2, 30, 200, ("Jump off from roof,\
it's a classic 74 moment."))

DEFINE_DIALOG(DIALOG_037, 1, 2, 30, 200, ("I win! You lose!\
Ha ha ha ha!\
You're no slouch, but I'm\
a better sledder!\
Better luck next time!"))

DEFINE_DIALOG(DIALOG_038, 1, 3, 95, 200, ("Reacting to the Star\
power, the door slowly\
opens."))

DEFINE_DIALOG(DIALOG_039, 1, 4, 30, 200, ("Because of my modeling\
issue, Bubbas go crazy.\
I want to fix that, but\
I can't, that's shame."))

DEFINE_DIALOG(DIALOG_040, 1, 3, 30, 200, ("You have come to this\
mansion to investigate\
the 『Haunted House』.\
First of all, why don't\
you look for the diary\
of the former inhabitant?"))

DEFINE_DIALOG(DIALOG_041, 1, 3, 30, 200, ("I win! You lose!\
Ha ha ha!\
\
That's what you get for\
messin' with Koopa the\
Quick.\
Better luck next time!"))

DEFINE_DIALOG(DIALOG_042, 1, 4, 30, 200, ("No matter what anyone\
says, Im the king of this \
desert!\
I am the Sphinx!"))

DEFINE_DIALOG(DIALOG_043, 1, 5, 30, 200, ("--A Storage Room\
The room is filled with\
boxes and junk, such as\
rusted water tanks and\
old bicycles.\
At the right end of the\
room is a cupboard,\
boarded shut."))

DEFINE_DIALOG(DIALOG_044, 1, 5, 95, 200, ("Whooo's there? Whooo\
woke me up? It's still\
daylight--I should be\
sleeping!\
\
Hey, as long as I'm\
awake, why not take a\
short flight with me?\
Press and hold [A] to grab\
on. Release [A] to let go.\
I'll take you wherever\
you want to go, as long\
as my wings hold out.\
Watch my shadow, and\
grab on."))

DEFINE_DIALOG(DIALOG_045, 1, 6, 95, 200, ("Whew! I'm just about\
flapped out. You should\
lay off the pasta, Mario!\
That's it for now. Press\
[A] to let go. Okay,\
bye byyyyyyeeee!"))

DEFINE_DIALOG(DIALOG_046, 1, 5, 30, 200, ("--A Second Storage Room\
This room contains old\
furniture that might be\
broken up to burn in\
a wood stove."))

DEFINE_DIALOG(DIALOG_047, 1, 2, 95, 200, ("Hi! I'll prepare the\
cannon for you!"))

DEFINE_DIALOG(DIALOG_048, 1, 4, 30, 200, ("Snow Mountain Summit\
Watch for slippery\
conditions! Please enter\
the cottage first."))

DEFINE_DIALOG(DIALOG_049, 1, 4, 30, 200, ("--The Mud Room\
Here hang overcoats,\
galoshes, hats, and\
umbrellas.\
Several bags of coal for\
the living rooms free-\
standing stove are here.\
\
You notice that the side\
door is secured with\
three bolts and two locks."))

DEFINE_DIALOG(DIALOG_050, 1, 6, 30, 200, ("--The Living Room\
This room contains\
conventional furnishings:\
a radio, couch, stuffed\
chairs, and shelves laden\
with gewgaws.\
You cannot help but\
notice the unusual\
quantities of crosses,\
images of the Virgin and\
other Catholic artifacts."))

DEFINE_DIALOG(DIALOG_051, 1, 6, 30, 200, ("--The Dining Room\
This is the dining room,\
complete with a long\
mahogany table, a\
built-in sideboard,\
and seven chairs.\
Three places are set and\
unused.\
Scraps of rice soup rot\
in a tureen."))

DEFINE_DIALOG(DIALOG_052, 1, 6, 30, 200, ("--Kitchen\
A conventional kitchen,\
with icebox, wood-fed\
stove and oven, plus a\
meager larder.\
\
Some of the foodstuffs\
may be ediblethere is\
canned soup and meat,\
rice kernels, several\
pastas, and a few bottles\
of homemade wine."))

DEFINE_DIALOG(DIALOG_053, 1, 6, 30, 200, ("--Main Bedroom\
An ordinary bedroom,\
with a double bed,\
bookshelf and window\
view.\
\
Apparently the room of\
Vittorio and Gabriela.\
More crosses and many\
candles are here, and a\
rosary and breviary rest\
on a table beside the bed."))

DEFINE_DIALOG(DIALOG_054, 1, 4, 30, 200, ("--Childrens Bedroom\
This room contains two\
small beds, toys, and\
dressers.\
Pictures of aircraft and\
cowboys mark this as\
the childrens bedroom."))

DEFINE_DIALOG(DIALOG_055, 1, 4, 30, 200, ("Hey-ey, Mario, buddy,\
howzit goin'? Step right\
up. You look like a fast\
sleddin' kind of guy.\
I know speed when I see\
it, yes siree--I'm the\
world champion sledder,\
you know. Whaddya say?\
How about a race?\
Ready...\
\
//Go//// Don't Go"))

DEFINE_DIALOG(DIALOG_056, 1, 6, 30, 200, ("You brrrr-oke my record!\
Unbelievable! I knew\
that you were the coolest.\
Now you've proven\
that you're also the\
fastest!\
I can't award you a gold\
medal, but here, take this\
Star instead. You've\
earned it!"))

DEFINE_DIALOG(DIALOG_057, 1, 4, 30, 200, ("Egad! My baby!! Have you\
seen my baby??? She's\
the most precious baby in\
the whole wide world.\
(They say she has my\
beak...) I just can't\
remember where I left\
her.\
Let's see...I stopped\
for herring and ice cubes,\
then I...oohh! I just\
don't know!"))

DEFINE_DIALOG(DIALOG_058, 1, 4, 30, 200, ("You found my precious,\
precious baby! Where\
have you been? How can\
I ever thank you, Mario?\
Oh, I do have this...\
...Star. Here, take it\
with my eternal\
gratitude."))

DEFINE_DIALOG(DIALOG_059, 1, 4, 30, 200, ("That's not my baby! She\
looks nothing like me!\
Her parents must be\
worried sick!"))

DEFINE_DIALOG(DIALOG_060, 1, 4, 30, 200, ("Kuru-kuru\
I am not a bad star!"))

DEFINE_DIALOG(DIALOG_061, 1, 4, 30, 200, ("How many flights of \
stairs have you climbed, \
Dr. Watson?"))

DEFINE_DIALOG(DIALOG_062, 1, 4, 30, 200, ("--Spare Bedroom\
This room contains a\
bed frame, bare bed-\
springs, and a dresser.\
Though unused, this\
room looks like the other\
two bedrooms."))

DEFINE_DIALOG(DIALOG_063, 1, 5, 30, 200, ("--Bathroom\
A bathroom containing\
a sink, bathtub, and a\
water closet with an\
overhead tank.\
Towels and other\
possessions are still here,\
typical to a family of four.\
\
\
A brackish pool of water\
has collected in the\
bathtub, fed by a\
dripping faucet which\
cannot quite be closed of."))

DEFINE_DIALOG(DIALOG_064, 1, 6, 30, 200, ("--Storage\
The door to the base-\
ment has a lock and\
three bolts, able to be\
opened from the upstairs\
side only.\
Below is the main base-\
ment storage room.\
The stairs are in poor\
repair and the electric\
light bulb does not work.\
\
The walls of the base-\
ment are lined with\
closely fitted boards."))

DEFINE_DIALOG(DIALOG_065, 1, 9, 30, 200, ("If the cupboard is\
wrenched open, three\
bound books are found\
within the diaries of a\
certain W. Corbitt, a\
former inhabitant of the\
house, as the address on\
the flyleaf of volume\
one testifies."))

DEFINE_DIALOG(DIALOG_066, 1, 2, 30, 200, ("You know, I am a big fan\
of The Missing Stars."))

DEFINE_DIALOG(DIALOG_067, 1, 5, 30, 200, ("Tough luck, Mario!\
Princess Toadstool isn't\
here...Gwa ha ha!! Go\
ahead--just try to grab\
me by the tail!\
You'll never be able to\
swing ME around! A wimp\
like you won't throw me\
out of here! Never! Ha!"))

DEFINE_DIALOG(DIALOG_068, 1, 4, 30, 200, ("If you kick up here,\
you will land at terrible\
fate.\
Please don't kick up."))

DEFINE_DIALOG(DIALOG_069, 1, 2, 30, 200, ("If you wanna meet the\
Wiggler, kick to go ahead."))

DEFINE_DIALOG(DIALOG_070, 1, 5, 30, 200, ("To reach the star, you\
need to many triple jump\
wallkick trick.\
If you fall off, you can\
heal here."))

DEFINE_DIALOG(DIALOG_071, 1, 3, 30, 200, ("Here is the start of vine\
tour, to the top of the\
tree.\
Be careful on jumping\
off the vine, not to bonk\
the head at branches."))

DEFINE_DIALOG(DIALOG_072, 1, 3, 30, 200, ("If you want to reach the\
box, 『fly』 off here.\
\
I mean, do a BLJ here,\
or can you find another\
method?\
Note: If you don't want\
to get MC, I recomend\
that use BLJ method."))

DEFINE_DIALOG(DIALOG_073, 1, 4, 95, 200, ("Aarrgh! Ahoy, matey. I\
have sunken treasure,\
here, I do.\
\
But to pluck the plunder,\
you must open the\
Treasure Chests in the\
right order.\
What order is that,\
ye say?\
\
\
I'll never tell!\
\
//--The Cap'n"))

DEFINE_DIALOG(DIALOG_074, 1, 5, 30, 200, ("You can grab on to the\
edge of a cliff or ledge\
with your fingertips and\
hang down from it.\
\
To drop from the edge,\
either press the Control\
Stick in the direction of\
Mario's back or press the\
[Z] Button.\
To get up onto the ledge,\
either press Up on the\
Control Stick or press [A]\
as soon as you grab the\
ledge to climb up quickly."))

DEFINE_DIALOG(DIALOG_075, 1, 5, 30, 200, ("Mario!! My castle is in\
great peril. I know that\
Bowser is the cause...and\
I know that only you can\
stop him!\
The doors in the castle\
that have been sealed by\
Bowser can be opened only\
with Star Power.\
\
But there are secret\
paths in the castle,\
paths that Bowser hasn't\
found.\
\
One of those paths is in\
this room, and it holds\
one of the castle's Secret\
Stars!\
\
Find that Secret Star,\
Mario! It will help you\
on your quest. Please,\
Mario, you have to\
help us!\
Retrieve all of the\
Power Stars in the castle\
and free us from this\
awful prison!\
Please!"))

DEFINE_DIALOG(DIALOG_076, 1, 6, 30, 200, ("Thanks to the power of\
the Stars, life is\
returning to the castle.\
Please, Mario, you have\
to give Bowser the boot!\
\
Here, let me tell you a\
little something about the\
castle. In the room with\
the mirrors, look carefully\
for anything that's not\
reflected in the mirror.\
And when you go to the\
water town, you can flood\
it with a high jump into\
the painting. Oh, by the\
way, look what I found!"))

DEFINE_DIALOG(DIALOG_077, 1, 2, 150, 200, ("It is decreed that one\
shall pound the pillars."))

DEFINE_DIALOG(DIALOG_078, 1, 5, 30, 200, ("Break open the Blue Coin\
Block by Pounding the\
Ground with the [Z] Button.\
One Blue Coin is worth\
five Yellow Coins.\
But you have to hurry!\
The coins will disappear\
if you're not quick to\
collect them! Too bad."))

DEFINE_DIALOG(DIALOG_079, 1, 4, 30, 200, ("Owwwuu! Let me go!\
Uukee-kee! I was only\
teasing! Can't you take\
a joke?\
I'll tell you what, let's\
trade. If you let me go,\
I'll give you something\
really good.\
So, how about it?\
\
//Free him/ Hold on"))

DEFINE_DIALOG(DIALOG_080, 1, 1, 30, 200, ("Eeeh hee hee hee!"))

DEFINE_DIALOG(DIALOG_081, 1, 4, 30, 200, ("The mystery is of Wet\
or Dry.\
And where does the\
solution lie?\
The city welcomes visitors\
with the depth they bring\
as they enter."))

DEFINE_DIALOG(DIALOG_082, 1, 4, 30, 200, ("Hold on to your hat! If\
you lose it, you'll be\
injured easily.\
\
If you do lose your Cap,\
you'll have to find it in\
the course where you\
lost it.\
Oh, boy, it's not looking\
good for Peach. She's\
still trapped somewhere\
inside the walls.\
Please, Mario, you have\
to help her! Did you know\
that there are enemy\
worlds inside the walls?\
Yup. It's true. Bowser's\
troops are there, too.\
Oh, here, take this. I've\
been keeping it for you."))

DEFINE_DIALOG(DIALOG_083, 1, 6, 30, 200, ("There's something strange\
about that clock. As you\
jump inside, watch the\
position of the big hand.\
Oh, look what I found!\
Here, Mario, catch!"))

DEFINE_DIALOG(DIALOG_084, 1, 3, 30, 200, ("Yeeoww! Unhand me,\
brute! I'm late, so late,\
I must make haste!\
This shiny thing? Mine!\
It's mine. Finders,\
keepers, losers...\
Late, late, late...\
Ouch! Take it then! A\
gift from Bowser, it was.\
Now let me be! I have a\
date! I cannot be late\
for tea!"))

DEFINE_DIALOG(DIALOG_085, 1, 5, 30, 200, ("You don't stand a ghost\
of a chance in this house.\
If you walk out of here,\
you deserve...\
...a Ghoul Medal..."))

DEFINE_DIALOG(DIALOG_086, 1, 3, 30, 200, ("Running around in circles\
makes some bad guys roll\
their eyes."))

DEFINE_DIALOG(DIALOG_087, 1, 4, 30, 200, ("Santa Claus isn't the only\
one who can go down a\
chimney! Come on in!\
/--Cabin Proprietor"))

DEFINE_DIALOG(DIALOG_088, 1, 5, 30, 200, ("Work Elevator\
For those who get off\
here: Grab the pole to the\
left and slide carefully\
down."))

DEFINE_DIALOG(DIALOG_089, 1, 5, 95, 200, ("Both ways fraught with\
danger! Watch your feet!\
Those who can't do the\
Long Jump, tsk, tsk. Make\
your way to the right.\
Right: Work Elevator\
/// Cloudy Maze\n\
Left: Black Hole\
///Underground Lake\n\
\
Red Circle: Elevator 2\
//// Underground Lake\n\
Arrow: You are here"))

DEFINE_DIALOG(DIALOG_090, 1, 6, 30, 200, ("Bwa ha ha ha!\
You've stepped right into\
my trap, just as I knew\
you would! I warn you,\
『Friend,』 watch your\
step!"))

DEFINE_DIALOG(DIALOG_091, 2, 2, 30, 200, ("Danger!\
Strong Gusts!\
But the wind makes a\
comfy ride."))

DEFINE_DIALOG(DIALOG_092, 1, 5, 30, 200, ("Pestering me again, are\
you, Mario? Can't you see\
that I'm having a merry\
little time, making\
mischief with my minions?\
Now, return those Stars!\
My troops in the walls\
need them! Bwa ha ha!"))

DEFINE_DIALOG(DIALOG_093, 1, 5, 30, 200, ("Mario! You again! Well\
that's just fine--I've\
been looking for something\
to fry with my fire\
breath!\
Your Star Power is\
useless against me!\
Your friends are all\
trapped within the\
walls...\
And you'll never see the\
Princess again!\
Bwa ha ha ha!"))

DEFINE_DIALOG(DIALOG_094, 1, 4, 30, 200, ("Get a good run up the\
slope! Do you remember\
the Long Jump? Run, press\
[Z], then jump!"))

DEFINE_DIALOG(DIALOG_095, 1, 4, 30, 200, ("To read a sign, stand in\
front of it and press [B],\
like you did just now.\
\
When you want to talk to\
a Koopa Troopa or other\
animal, stand right in\
front of it.\
Please recover the Stars\
that were stolen by\
Bowser in this course."))

DEFINE_DIALOG(DIALOG_096, 1, 4, 30, 200, ("The path is narrow here.\
Easy does it! No one is\
allowed on top of the\
mountain!\
And if you know what's\
good for you, you won't\
wake anyone who's\
sleeping!\
Move slowly,\
tread lightly."))

DEFINE_DIALOG(DIALOG_097, 1, 5, 30, 200, ("Don't be a pushover!\
If anyone tries to shove\
you around, push back!\
It's one-on-one, with a\
fiery finish for the loser!"))

DEFINE_DIALOG(DIALOG_098, 1, 2, 95, 200, ("Come on in here...\
...heh, heh, heh..."))

DEFINE_DIALOG(DIALOG_099, 1, 5, 95, 200, ("Eh he he...\
You're mine, now, hee hee!\
I'll pass right through\
this wall. Can you do\
that? Heh, heh, heh!"))

DEFINE_DIALOG(DIALOG_100, 1, 3, 95, 200, ("Ukkiki...Wakkiki...kee kee!\
Ha! I snagged it!\
It's mine! Heeheeheeee!"))

DEFINE_DIALOG(DIALOG_101, 1, 3, 95, 200, ("Ackk! Let...go...\
You're...choking...me...\
Cough...I've been framed!\
This Cap? Oh, all right,\
take it. It's a cool Cap,\
but I'll give it back.\
I think it looks better on\
me than it does on you,\
though! Eeeee! Kee keee!"))

DEFINE_DIALOG(DIALOG_102, 1, 5, 30, 200, ("Pssst! The Boos are super\
shy. If you look them\
in the eyes, they fade\
away, but if you turn\
your back, they reappear.\
It's no use trying to hit\
them when they're fading\
away. Instead, sneak up\
behind them and punch."))

DEFINE_DIALOG(DIALOG_103, 1, 4, 95, 200, ("Upon four towers\
one must alight...\
Then at the peak\
shall shine the light..."))

DEFINE_DIALOG(DIALOG_104, 1, 5, 30, 200, ("The shadowy star in front\
of you is a 『Star\
Marker.』 When you collect\
all 8 Red Coins, the Star\
will appear here."))

DEFINE_DIALOG(DIALOG_105, 1, 2, 95, 200, ("Ready for blastoff! Come\
on, hop into the cannon!"))

DEFINE_DIALOG(DIALOG_106, 1, 2, 95, 200, ("Ready for blastoff! Come\
on, hop into the cannon!"))

DEFINE_DIALOG(DIALOG_107, 1, 3, 95, 200, ("Ghosts...\
...don't...\
...DIE!\
Heh, heh, heh!\
Can you get out of here...\
...alive?"))

DEFINE_DIALOG(DIALOG_108, 1, 2, 95, 200, ("Boooooo-m! Here comes\
the master of mischief,\
the tower of terror,\
the Big Boo!\
Ka ha ha ha..."))

DEFINE_DIALOG(DIALOG_109, 1, 4, 95, 200, ("Ooooo Nooooo!\
Talk about out-of-body\
experiences--my body\
has melted away!\
Have you run in to any\
headhunters lately??\
I could sure use a new\
body!\
Brrr! My face might\
freeze like this!"))

DEFINE_DIALOG(DIALOG_110, 1, 5, 95, 200, ("I need a good head on my\
shoulders. Do you know of\
anybody in need of a good\
body? Please! I'll follow\
you if you do!"))

DEFINE_DIALOG(DIALOG_111, 1, 4, 95, 200, ("Perfect! What a great\
new body! Here--this is a\
present for you. It's sure\
to warm you up."))

DEFINE_DIALOG(DIALOG_112, 1, 4, 30, 200, ("Collect as many coins as\
possible! They'll refill\
your Power Meter.\
\
You can check to see how\
many coins you've\
collected in each of the\
15 enemy worlds.\
You can also recover\
power by touching the\
Spinning Heart.\
\
The faster you run\
through the heart, the\
more power you'll recover."))

DEFINE_DIALOG(DIALOG_113, 1, 6, 30, 200, ("There are special Caps in\
the red, green and blue\
blocks. Step on the\
switches in the hidden\
courses to activate the\
Cap Blocks."))

DEFINE_DIALOG(DIALOG_114, 1, 5, 95, 200, ("It makes me so mad! We\
build your houses, your\
castles. We pave your\
roads, and still you\
walk all over us.\
Do you ever say thank\
you? No! Well, you're not\
going to wipe your feet\
on me! I think I'll crush\
you just for fun!\
Do you have a problem\
with that? Just try to\
pound me, wimp! Ha!"))

DEFINE_DIALOG(DIALOG_115, 1, 5, 95, 200, ("No! Crushed again!\
I'm just a stepping stone,\
after all. I won't gravel,\
er, grovel. Here, you win.\
Take this with you!"))

DEFINE_DIALOG(DIALOG_116, 1, 3, 95, 200, ("Gah...this is the end,\
I suppose...\
I'll give you the star.\
So I beg you, please don't\
harm the residents\
anymore..."))

DEFINE_DIALOG(DIALOG_117, 1, 1, 95, 200, ("Who...walk...here?\
Who...break...seal?\
Wake..ancient..ones?\
We no like light...\
Rrrrummbbble...\
We no like...intruders!\
Now battle...\
...hand...\
...to...\
...hand!"))

DEFINE_DIALOG(DIALOG_118, 1, 6, 95, 200, ("Grrrrumbbble!\
What...happen?\
We...crushed like pebble.\
You so strong!\
You rule ancient pyramid!\
For today...\
Now, take Star of Power.\
We...sleep...darkness."))

DEFINE_DIALOG(DIALOG_119, 1, 6, 30, 200, ("Grrr! I was a bit\
careless. This is not as I\
had planned...but I still\
hold the power of the\
Stars, and I still have\
Peach.\
Bwa ha ha! You'll get no\
more Stars from me! I'm\
not finished with you yet,\
but I'll let you go for\
now. You'll pay for this...\
later!"))

DEFINE_DIALOG(DIALOG_120, 1, 4, 30, 200, ("Ooowaah! Can it be that\
I've lost??? The power of\
the Stars has failed me...\
this time.\
Consider this a draw.\
Next time, I'll be in\
perfect condition.\
\
Now, if you want to see\
your precious Princess,\
come to the top of the\
tower.\
I'll be waiting!\
Gwa ha ha ha!"))

DEFINE_DIALOG(DIALOG_121, 1, 5, 30, 200, ("Nooo! It can't be!\
You've really beaten me,\
Mario?!! I gave those\
troops power, but now\
it's fading away!\
Arrgghh! I can see peace\
returning to the world! I\
can't stand it! Hmmm...\
It's not over yet...\
\
C'mon troops! Let's watch\
the ending together!\
Bwa ha ha!"))

DEFINE_DIALOG(DIALOG_122, 1, 4, 30, 200, ("The Black Hole\
Right: Work Elevator\
/// Cloudy Maze\n\
Left: Underground Lake"))

DEFINE_DIALOG(DIALOG_123, 1, 4, 30, 200, ("Metal Cavern\
Right: To Waterfall\
Left: Metal Cap Switch"))

DEFINE_DIALOG(DIALOG_124, 1, 4, 30, 200, ("Work Elevator\
Danger!!\
Read instructions\
thoroughly!\
Elevator continues in the\
direction of the arrow\
activated."))

DEFINE_DIALOG(DIALOG_125, 1, 3, 30, 200, ("Hazy Maze-Exit\
Danger! Closed.\
Turn back now."))

DEFINE_DIALOG(DIALOG_126, 2, 3, 30, 200, ("Up: Black Hole\
Right: Work Elevator\
/// Hazy Maze"))

DEFINE_DIALOG(DIALOG_127, 3, 4, 30, 200, ("Underground Lake\
Right: Metal Cave\
Left: Abandoned Mine\
///(Closed)\n\
A gentle sea dragon lives\
here. Pound on his back to\
make him lower his head.\
Don't become his lunch."))

DEFINE_DIALOG(DIALOG_128, 1, 3, 95, 200, ("What's wrong Mario,\
having a trouble?\
You don't like the wind?\
For you it is a headwind,\
but seems like a tailwind\
for me.\
Let's finish this here\
and now!"))

DEFINE_DIALOG(DIALOG_129, 1, 5, 30, 200, ("Welcome to the Vanish\
Cap Switch Course! All of\
the blue blocks you find\
will become solid once you\
step on the Cap Switch.\
You'll disappear when you\
put on the Vanish Cap, so\
you'll be able to elude\
enemies and walk through\
many things. Try it out!"))

DEFINE_DIALOG(DIALOG_130, 1, 5, 30, 200, ("Welcome to the Metal Cap\
Switch Course! Once you\
step on the Cap Switch,\
the green blocks will\
become solid.\
When you turn your body\
into metal with the Metal\
Cap, you can walk\
underwater! Try it!"))

DEFINE_DIALOG(DIALOG_131, 1, 5, 30, 200, ("Welcome to the Wing Cap\
Course! Step on the red\
switch at the top of the\
tower, in the center of\
the rainbow ring.\
When you trigger the\
switch, all of the red\
blocks you find will\
become solid.\
\
Try out the Wing Cap! Do\
the Triple Jump to take\
off and press [Z] to land.\
\
\
Pull back on the Control\
Stick to go up and push\
forward to nose down,\
just as you would when\
flying an airplane."))

DEFINE_DIALOG(DIALOG_132, 1, 4, 30, 200, ("Whoa, Mario, pal, you\
aren't trying to cheat,\
are you? Shortcuts aren't\
allowed.\
Now, I know that you\
know better. You're\
disqualified! Next time,\
play fair!"))

DEFINE_DIALOG(DIALOG_133, 1, 6, 30, 200, ("Am I glad to see you! The\
Princess...and I...and,\
well, everybody...we're all\
trapped inside the castle\
walls.\
\
Bowser has stolen the\
castle's Stars, and he's\
using their power to\
create his own world in\
the paintings and walls.\
\
Please recover the Power\
Stars! As you find them,\
you can use their power\
to open the doors that\
Bowser has sealed.\
\
There are four rooms on\
the first floor. Start in\
the one with the painting\
of Bob-omb inside. It's\
the only room that Bowser\
hasn't sealed.\
When you collect eight\
Power Stars, you'll be\
able to open the door\
with the big star. The\
Princess must be inside!"))

DEFINE_DIALOG(DIALOG_134, 1, 5, 30, 200, ("The names of the Stars\
are also hints for\
finding them. They are\
displayed at the beginning\
of each course.\
You can collect the Stars\
in any order. You won't\
find some Stars, enemies\
or items unless you select\
a specific Star.\
After you collect some\
Stars, you can try\
another course.\
We're all waiting for\
your help!"))

DEFINE_DIALOG(DIALOG_135, 1, 5, 30, 200, ("It was Bowser who stole\
the Stars. I saw him with\
my own eyes!\
\
\
He's hidden six Stars in\
each course, but you\
won't find all of them in\
some courses until you\
press the Cap Switches.\
The Stars you've found\
will show on each course's\
starting screen.\
\
\
If you want to see some\
of the enemies you've\
already defeated, select\
the Stars you recovered\
from them."))

DEFINE_DIALOG(DIALOG_136, 1, 6, 30, 200, ("Wow! You've already\
recovered that many\
Stars? Way to go, Mario!\
I'll bet you'll have us out\
of here in no time!\
\
Be careful, though.\
Bowser and his band\
wrote the book on 『bad.』\
Take my advice: When you\
need to recover from\
injuries, collect coins.\
Yellow Coins refill one\
piece of the Power Meter,\
Red Coins refill two\
pieces, and Blue Coins\
refill five.\
\
To make Blue Coins\
appear, pound on Blue\
Coin Blocks.\
\
\
\
Also, if you fall from\
high places, you'll\
minimize damage if you\
Pound the Ground as you\
land."))

DEFINE_DIALOG(DIALOG_137, 1, 6, 30, 200, ("Thanks, Mario! The castle\
is recovering its energy\
as you retrieve Power\
Stars, and you've chased\
Bowser right out of here,\
on to some area ahead.\
Oh, by the by, are you\
collecting coins? Special\
Stars appear when you\
collect 100 coins in each\
of the 15 courses!"))

DEFINE_DIALOG(DIALOG_138, 1, 3, 30, 200, ("Down: Underground Lake\
Left: Black Hole\
Right: Hazy Maze (Closed)"))

DEFINE_DIALOG(DIALOG_139, 1, 6, 30, 200, ("Above: Automatic Elevator\
Elevator begins\
automatically and follows\
pre-set course.\
It disappears\
automatically, too."))

DEFINE_DIALOG(DIALOG_140, 1, 6, 30, 200, ("Elevator Area\
Right: Hazy Maze\
/// Entrance\n\
Left: Black Hole\
///Elevator 1\n\
Arrow: You are here"))

DEFINE_DIALOG(DIALOG_141, 1, 5, 150, 200, ("You've recovered one of\
the stolen Power Stars!\
Now you can open some of\
the sealed doors in the\
castle.\
Try the Princess's room\
on the second floor and\
the room with the\
painting of Whomp's\
Fortress on Floor 1.\
Bowser's troops are still\
gaining power, so you\
can't give up. Save us,\
Mario! Keep searching for\
Stars!"))

DEFINE_DIALOG(DIALOG_142, 1, 5, 150, 200, ("You've recovered three\
Power Stars! Now you can\
open any door with a 3\
on its star.\
\
You can come and go from\
the open courses as you\
please. The enemies ahead\
are even meaner, so be\
careful!"))

DEFINE_DIALOG(DIALOG_143, 1, 6, 150, 200, ("You've recovered eight of\
the Power Stars! Now you\
can open the door with\
the big Star! But Bowser\
is just ahead...can you\
hear the Princess calling?"))

DEFINE_DIALOG(DIALOG_144, 1, 6, 150, 200, ("You've recovered 30\
Power Stars! Now you can\
open the door with the\
big Star! But before you\
move on, how's it going\
otherwise?\
Did you pound the two\
columns down? You didn't\
lose your hat, did you?\
If you did, you'll have to\
stomp on the condor to\
get it back!\
They say that Bowser has\
sneaked out of the sea\
and into the underground.\
Have you finally\
cornered him?"))

DEFINE_DIALOG(DIALOG_145, 1, 6, 150, 200, ("You've recovered 50\
Power Stars! Now you can\
open the Star Door on the\
third floor. Bowser's\
there, you know.\
\
Oh! You've found all of\
the Cap Switches, haven't\
you? Red, green and blue?\
The Caps you get from the\
colored blocks are really\
helpful.\
Hurry along, now. The\
third floor is just ahead."))

DEFINE_DIALOG(DIALOG_146, 1, 6, 150, 200, ("You've found 70 Power\
Stars! The mystery of the\
endless stairs is solved,\
thanks to you--and is\
Bowser ever upset! Now,\
on to the final bout!"))

DEFINE_DIALOG(DIALOG_147, 1, 5, 30, 200, ("Are you using the Cap\
Blocks? You really should,\
you know.\
\
\
To make them solid so you\
can break them, you have\
to press the colored Cap\
Switches in the castle's\
hidden courses.\
You'll find the hidden\
courses only after\
regaining some of the\
Power Stars.\
\
The Cap Blocks are a big\
help! Red for the Wing\
Cap, green for the Metal\
Cap, blue for the Vanish\
Cap."))

DEFINE_DIALOG(DIALOG_148, 1, 6, 30, 200, ("Snowman Mountain ahead.\
Keep out! And don't try\
the Triple Jump over the\
ice block shooter.\
\
\
If you fall into the\
freezing pond, your power\
decreases quickly, and\
you won't recover\
automatically.\
//--The Snowman"))

DEFINE_DIALOG(DIALOG_149, 1, 3, 30, 200, ("Welcome to\
Princess Toadstool's\
secret slide!\
There's a Star hidden\
here that Bowser couldn't\
find.\
When you slide, press\
forward to speed up,\
pull back to slow down.\
If you slide really\
fast, you'll win the Star!"))

DEFINE_DIALOG(DIALOG_150, 1, 5, 30, 200, ("Waaaa! You've flooded my\
house! Wh-why?? Look at\
this mess! What am I\
going to do now?\
\
The ceiling's ruined, the\
floor is soaked...what to\
do, what to do? Huff...\
huff...it makes me so...\
MAD!!!\
Everything's been going\
wrong ever since I got\
this Star...It's so shiny,\
but it makes me feel...\
strange..."))

DEFINE_DIALOG(DIALOG_151, 1, 4, 30, 200, ("I can't take this\
anymore! First you get\
me all wet, then you\
stomp on me!\
Now I'm really, really,\
REALLY mad!\
Waaaaaaaaaaaaaaaaa!!!"))

DEFINE_DIALOG(DIALOG_152, 1, 3, 30, 200, ("Owwch! Uncle! Uncle!\
Okay, I give. Take this\
Star!\
Whew! I feel better now.\
I don't really need it\
anymore, anyway--\
I can see the stars\
through my ceiling at\
night.\
They make me feel...\
...peaceful. Please, come\
back and visit anytime."))

DEFINE_DIALOG(DIALOG_153, 1, 4, 30, 200, ("Hey! Who's there?\
What's climbing on me?\
Is it an ice ant?\
A snow flea?\
Whatever it is, it's\
bugging me! I think I'll\
blow it away!"))

DEFINE_DIALOG(DIALOG_154, 1, 5, 30, 200, ("Hold on to your hat! If\
you lose it, you'll be\
easily injured. If you\
lose it, look for it in the\
course where you lost it.\
Speaking of lost, the\
Princess is still stuck in\
the walls somewhere.\
Please help, Mario!\
\
Oh, you know that there\
are secret worlds in the\
walls as well as in the\
paintings, right?"))

DEFINE_DIALOG(DIALOG_155, 1, 6, 30, 200, ("Thanks to the power of\
the Stars, life is\
returning to the castle.\
Please, Mario, you have\
to give Bowser the boot!\
\
Here, let me tell you a\
little something about the\
castle. In the room with\
the mirrors, look carefully\
for anything that's not\
reflected in the mirror.\
And when you go to the\
water town, you can flood\
it with a high jump into\
the painting."))

DEFINE_DIALOG(DIALOG_156, 1, 5, 30, 200, ("The world inside the\
clock is so strange!\
When you jump inside,\
watch the position of\
the big hand!"))

DEFINE_DIALOG(DIALOG_157, 1, 5, 30, 200, ("If you have not pressed\
WC Switch, please go\
back.\
After the pipe, you need\
WC."))

DEFINE_DIALOG(DIALOG_158, 1, 3, 30, 200, ("     !!!!Warning!!!\
White cream is sinking!\
Be careful!!"))

DEFINE_DIALOG(DIALOG_159, 1, 5, 30, 200, ("If you have not pressed\
Blue Switch, you shall\
stand on the diamond.\
That send you to upper\
part of the cave."))

DEFINE_DIALOG(DIALOG_160, 1, 8, 30, 200, ("THERE ARE 7 STARS!\
1. FINAL TRIAL -MC-\
2. ANGLED WALL JUMPS\
3. TRICKY WALLKICKS\
4. LAVA TOWER -MC-\
5. SIMPLE WALLKICKS\
6. BOX AND PARKOUR\
7. WELL HIDDEN STAR?"))

DEFINE_DIALOG(DIALOG_161, 1, 4, 30, 200, ("Mario!!!\
It that really you???\
It has been so long since\
our last adventure!\
They told me that I might\
see you if I waited here,\
but I'd just about given\
up hope!\
Is it true? Have you\
really beaten Bowser? And\
restored the Stars to the\
castle?\
And saved the Princess?\
I knew you could do it!\
Now I have a very special\
message for you.\
『Thanks for playing Super\
Mario 64! This is the\
end of the game, but not\
the end of the fun.\
We want you to keep on\
playing, so we have a\
little something for you.\
We hope that you like it!\
Enjoy!!!』\
\
The Super Mario 64 Team"))

DEFINE_DIALOG(DIALOG_162, 1, 4, 30, 200, ("No, no, no! Not you\
again! I'm in a great\
hurry, can't you see?\
\
I've no time to squabble\
over Stars. Here, have it.\
I never meant to hide it\
from you...\
It's just that I'm in such\
a rush. That's it, that's\
all. Now, I must be off.\
Owww! Let me go!"))

DEFINE_DIALOG(DIALOG_163, 1, 5, 30, 200, ("Noooo! You've really\
beaten me this time,\
Mario! I can't stand\
losing to you!\
\
My troops...worthless!\
They've turned over all\
the Power Stars! What?!\
There are 140 in all???\
\
Amazing! There were some\
in the castle that I\
missed??!!\
\
\
Now I see peace\
returning to the world...\
Oooo! I really hate that!\
I can't watch--\
I'm outta here!\
Just you wait until next\
time. Until then, keep\
that Control Stick\
smokin'!\
Buwaa ha ha!"))

DEFINE_DIALOG(DIALOG_164, 1, 4, 30, 200, ("Mario! What's up, pal?\
I haven't been on the\
slide lately, so I'm out\
of shape.\
Still, I'm always up for a\
good race, especially\
against an old sleddin'\
buddy.\
Whaddya say?\
Ready...set...\
\
//Go//// Don't Go"))

DEFINE_DIALOG(DIALOG_165, 1, 8, 30, 200, ("THERE ARE 7 STARS!\
1. QUICK OR RISKY\
2. SMALL MAZE -VC-\
3. VANISH RACE -VC-\
4. SUS BOXES -VC-\
5. PLATFORMS SECRETS\
6. DEEP REWARD -VC-\
7. 8 REDS IN CAVE -VC-"))

DEFINE_DIALOG(DIALOG_166, 1, 8, 30, 200, ("THERE ARE 7 STARS!\
1. SECRET GARDEN -WC-\
2. UNDER THE BUILDING\
3. DEAD END?\
4. BETWEEN ROOF -WC-\
5. FLY TO BIG HOUSE -WC-\
6. UNWELCOME REDS\
7. SECRET HOIPPING"))

DEFINE_DIALOG(DIALOG_167, 1, 8, 30, 200, ("THERE ARE 7 STARS!\
1. IN THE BLUE HOUSE\
2. DIVE TO COLD HOLE\
3. CLIMB UP TO ROOF\
4. UNDER THE BRIDGE\
5. NEAR SWITCH LEDGE\
6. OVER COLD CAVE -MC-\
7. SNOWY 8 REDS"))

DEFINE_DIALOG(DIALOG_168, 1, 5, 30, 200, ("Hey! Knock it off! That's\
the second time you've\
nailed me. Now you're\
asking for it, linguine\
breath!"))

DEFINE_DIALOG(DIALOG_169, 1, 3, 30, 200, ("Every SM64 copy is\
personalized.\
Even a hacked rom."))

